require("../../../_virtual/_rolldown/runtime.js");
const require_methods = require("./methods.js");
let react = require("react");
require("./index.less");
//#region src/components/pisellToast/squareToast/index.tsx
const useToast = () => {
	return (0, react.useMemo)(() => ({
		show: require_methods.show,
		clear: require_methods.clear,
		success: require_methods.success,
		info: require_methods.info,
		loading: require_methods.loading,
		fail: require_methods.fail,
		error: require_methods.fail,
		hide: require_methods.hide
	}), []);
};
//#endregion
exports.useToast = useToast;
